Package com.logicaldoc.core.document

# Class DocumentNote

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.document.DocumentNote

All Implemented Interfaces:
  `Secure<NoteAccessControlEntry>`, `Serializable`

@Entity public class DocumentNote extends PersistentObject implements Secure<NoteAccessControlEntry>
A note over a document

Since:
  6.2
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SHAPE_ARROW`
`static final String`
`SHAPE_CIRCLE`
`static final String`
`SHAPE_COMMENT`
`static final String`
`SHAPE_LABEL`
`static final String`
`SHAPE_LINE`
`static final String`
`SHAPE_SQUARE`
`static final String`
`SHAPE_THICKARROW`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`DocumentNote()`
`DocumentNote(DocumentNote source)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAccessControlEntry(NoteAccessControlEntry ace)`
Adds a new entry, replacing a previous one with the same groupId.
`boolean`
`equals(Object obj)`
`Set<NoteAccessControlEntry>`
`getAccessControlEntries(Set<Long> groupIds)`
Retrieves the set of entries related to whatever group within the specified set.
`NoteAccessControlEntry`
`getAccessControlEntry(long groupId)`
`Set<NoteAccessControlEntry>`
`getAccessControlList()`
`String`
`getColor()`
`Date`
`getDate()`
`long`
`getDocId()`
`String`
`getFileName()`
`String`
`getFileVersion()`
`double`
`getHeight()`
`double`
`getLeft()`
`String`
`getLineColor()`
`int`
`getLineOpacity()`
`int`
`getLineWidth()`
`String`
`getMessage()`
`int`
`getOpacity()`
`int`
`getPage()`
`String`
`getRecipient()`
`String`
`getRecipientEmail()`
`double`
`getRotation()`
`String`
`getShape()`
`double`
`getTop()`
`String`
`getType()`
`long`
`getUserId()`
`String`
`getUsername()`
`double`
`getWidth()`
`int`
`hashCode()`
`void`
`removeAccessControlEntries(long groupId)`
Removes all the ACEs related to the given group.
`void`
`setAccessControlList(Set<NoteAccessControlEntry> acl)`
`void`
`setColor(String color)`
`void`
`setDate(Date date)`
`void`
`setDocId(long docId)`
`void`
`setFileName(String fileName)`
`void`
`setFileVersion(String fileVersion)`
`void`
`setHeight(double height)`
`void`
`setLeft(double left)`
`void`
`setLineColor(String lineColor)`
`void`
`setLineOpacity(int lineOpacity)`
`void`
`setLineWidth(int lineWidth)`
`void`
`setMessage(String message)`
`void`
`setOpacity(int opacity)`
`void`
`setPage(int page)`
`void`
`setRecipient(String recipient)`
`void`
`setRecipientEmail(String recipientEmail)`
`void`
`setRotation(double rotation)`
`void`
`setShape(String shape)`
`void`
`setTop(double top)`
`void`
`setType(String type)`
`void`
`setUserId(long userId)`
`void`
`setUsername(String username)`
`void`
`setWidth(double width)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SHAPE_SQUARE

public static final String SHAPE_SQUARE

See Also:
  - Constant Field Values

### SHAPE_CIRCLE

public static final String SHAPE_CIRCLE

See Also:
  - Constant Field Values

### SHAPE_LINE

public static final String SHAPE_LINE

See Also:
  - Constant Field Values

### SHAPE_ARROW

public static final String SHAPE_ARROW

See Also:
  - Constant Field Values

### SHAPE_THICKARROW

public static final String SHAPE_THICKARROW

See Also:
  - Constant Field Values

### SHAPE_COMMENT

public static final String SHAPE_COMMENT

See Also:
  - Constant Field Values

### SHAPE_LABEL

public static final String SHAPE_LABEL

See Also:
  - Constant Field Values

## Constructor Details

### DocumentNote

public DocumentNote()

### DocumentNote

public DocumentNote(DocumentNote source)

## Method Details

### getDocId

public long getDocId()

### setDocId

public void setDocId(long docId)

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getDate

public Date getDate()

### setDate

public void setDate(Date date)

### getMessage

public String getMessage()

### setMessage

public void setMessage(String message)

### getPage

public int getPage()

### setPage

public void setPage(int page)

### getFileName

public String getFileName()

### setFileName

public void setFileName(String fileName)

### getOpacity

public int getOpacity()

### getColor

public String getColor()

### getLeft

public double getLeft()

### getTop

public double getTop()

### getWidth

public double getWidth()

### getHeight

public double getHeight()

### setOpacity

public void setOpacity(int opacity)

### setColor

public void setColor(String color)

### setLeft

public void setLeft(double left)

### setTop

public void setTop(double top)

### setWidth

public void setWidth(double width)

### setHeight

public void setHeight(double height)

### getFileVersion

public String getFileVersion()

### setFileVersion

public void setFileVersion(String fileVersion)

### getType

public String getType()

### setType

public void setType(String type)

### getRecipient

public String getRecipient()

### setRecipient

public void setRecipient(String recipient)

### getRecipientEmail

public String getRecipientEmail()

### setRecipientEmail

public void setRecipientEmail(String recipientEmail)

### getLineOpacity

public int getLineOpacity()

### setLineOpacity

public void setLineOpacity(int lineOpacity)

### getLineColor

public String getLineColor()

### setLineColor

public void setLineColor(String lineColor)

### getLineWidth

public int getLineWidth()

### setLineWidth

public void setLineWidth(int lineWidth)

### getShape

public String getShape()

### setShape

public void setShape(String shape)

### getRotation

public double getRotation()

### setRotation

public void setRotation(double rotation)

### setAccessControlList

public void setAccessControlList(Set<NoteAccessControlEntry> acl)

Specified by:
  `setAccessControlList` in interface `Secure<NoteAccessControlEntry>`

### getAccessControlList

public Set<NoteAccessControlEntry> getAccessControlList()

Specified by:
  `getAccessControlList` in interface `Secure<NoteAccessControlEntry>`

### getAccessControlEntry

public NoteAccessControlEntry getAccessControlEntry(long groupId)

Specified by:
  `getAccessControlEntry` in interface `Secure<NoteAccessControlEntry>`

### getAccessControlEntries

public Set<NoteAccessControlEntry> getAccessControlEntries(Set<Long> groupIds)
Description copied from interface: `Secure`
Retrieves the set of entries related to whatever group within the specified set.

Specified by:
  `getAccessControlEntries` in interface `Secure<NoteAccessControlEntry>`
Parameters:
  `groupIds` - identifiers of groups
Returns:
  The set of matching entries

### addAccessControlEntry

public void addAccessControlEntry(NoteAccessControlEntry ace)
Description copied from interface: `Secure`
Adds a new entry, replacing a previous one with the same groupId.

Specified by:
  `addAccessControlEntry` in interface `Secure<NoteAccessControlEntry>`
Parameters:
  `ace` - the access control entry to add

### removeAccessControlEntries

public void removeAccessControlEntries(long groupId)
Description copied from interface: `Secure`
Removes all the ACEs related to the given group.

Specified by:
  `removeAccessControlEntries` in interface `Secure<NoteAccessControlEntry>`
Parameters:
  `groupId` - Identifier of the group

### toString

public String toString()

Overrides:
  `toString` in class `PersistentObject`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`